Skip to content
OpenPostDocs
OpenPostDocs
Auth

Send a verification code to a new sign-in email

POST/auth/email-change

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/email-change" \  -H "Content-Type: application/json" \  -d '{    "new_email": "user@example.com",    "reauth_grant": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/EmailChangeSummary.json",  "expires_at": "2019-08-24T14:15:22Z",  "id": "string",  "new_email": "string",  "sent_at": "2019-08-24T14:15:22Z"}